import { EventEmitter } from '@angular/core';
import * as L from 'leaflet';
import { Observable } from 'rxjs';
export interface IMapDrawControlEvent {
    event: string;
    data: any;
}
export declare class OMapDrawControlsEvents {
    protected editableLayers: L.FeatureGroup;
    onDrawEvent: EventEmitter<IMapDrawControlEvent>;
    protected map: L.Map;
    constructor(editableLayers: L.FeatureGroup);
    setMap(arg: L.Map): void;
    registerMapEvents(): void;
    observable(): Observable<IMapDrawControlEvent>;
}
