import { OnInit } from '@angular/core';
import { OMapLayerGroup } from '../../interfaces/o-map-layer-group.interface';
import { LayerConfiguration } from '../../models/LayerConfiguration.class';
import { LayerGroupConfiguration } from '../../models/LayerGroupConfiguration.class';
import { OMapLayerGroupsWarehouse } from '../../models/LayerGroupsWarehouse.class';
import { OMapLayerComponent } from '../map-layer/o-map-layer.component';
import { OMapBase } from '../map/o-map-base.class';
import * as i0 from "@angular/core";
export declare class OMapLayerGroupComponent implements OMapLayerGroup, OnInit {
    protected oMap: OMapBase;
    id: string;
    idParent: string;
    name: string;
    protected _description: string;
    collapsed: boolean;
    refGroup: LayerGroupConfiguration;
    mapLayers: LayerConfiguration[];
    mLayerGroupsWarehouse: OMapLayerGroupsWarehouse;
    layerChildren: OMapLayerComponent[];
    layerGroupChildren: OMapLayerGroupComponent[];
    constructor(oMap: OMapBase);
    ngOnInit(): void;
    hasChildInWS(): boolean;
    getMapLayers(): LayerConfiguration[];
    getLayerGroups(): LayerGroupConfiguration[];
    getLayerCenter(layerConf: LayerConfiguration): string;
    toggleCollapse(): void;
    get description(): string;
    set description(val: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<OMapLayerGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OMapLayerGroupComponent, "o-map-layer-group", never, { "id": "group-id"; "idParent": "group-id-parent"; "name": "group-name"; "description": "group-description"; "collapsed": "group-collapsed"; "refGroup": "group-ref"; }, {}, never, never, false, never>;
}
