import * as L from 'leaflet';
import { LayerConfiguration } from '../../models';
import { MapService } from '../../services';
export declare class OMapLayerFactory {
    createMapLayer(layerConf: LayerConfiguration, mapService: MapService): L.Layer;
    createMarker(layerConf: LayerConfiguration, mapService: MapService): L.Marker;
    createGeoJSON(layerConf: LayerConfiguration, mapService: MapService): L.GeoJSON;
    createWMS(layerConf: LayerConfiguration, mapService: MapService): L.TileLayer.WMS;
}
