import { EventEmitter } from '@angular/core';
import { OSearchable, OSearchResult } from '../../interfaces/search/searchable.interface';
import { OMapLayerComponent } from '../map-layer/o-map-layer.component';
import { OMapWorkspaceBase } from '../map-workspace/o-map-workspace-base.class';
import * as i0 from "@angular/core";
export declare class OMapWorkspaceLayerComponent implements OSearchable {
    private refWorkspace;
    selected: boolean;
    visible: boolean;
    inWS: boolean;
    protected _menuLabel: string;
    protected _menuLabelSecondary: string;
    refLayer: OMapLayerComponent;
    layerIndex: any;
    dragging: boolean;
    oSearchKeys: Array<string>;
    onToggleSelected: EventEmitter<Object>;
    onToggleVisibility: EventEmitter<Object>;
    onToggleInWS: EventEmitter<Object>;
    constructor(refWorkspace: OMapWorkspaceBase);
    get oSearchResult(): OSearchResult;
    toggleSelected(status?: boolean): void;
    toggleVisible(status?: boolean, evt?: Event, avoidEvent?: boolean): void;
    toggleInWS(status?: boolean): void;
    get menuLabel(): string;
    set menuLabel(val: string);
    get menuLabelSecondary(): string;
    set menuLabelSecondary(val: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<OMapWorkspaceLayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OMapWorkspaceLayerComponent, "o-map-workspace-layer", never, { "selected": "layer-selected"; "visible": "layer-visible"; "inWS": "layer-in-ws"; "menuLabel": "layer-menu-label"; "menuLabelSecondary": "layer-menu-label-secondary"; "refLayer": "layer-ref"; "layerIndex": "layer-index"; }, { "onToggleSelected": "onToggleSelected"; "onToggleVisibility": "onToggleVisibility"; "onToggleInWS": "onToggleInWS"; }, never, never, false, never>;
}
