import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { OMapWorkspace } from '../../interfaces/o-map-workspace.interface';
import { OSearchable } from '../../interfaces/search/searchable.interface';
import { OSearcher } from '../../interfaces/search/searcher.interface';
import { OMapLayerComponent } from '../map-layer/o-map-layer.component';
import { OMapBase } from '../map/o-map-base.class';
import * as i0 from "@angular/core";
export declare class OMapWorkspaceComponent implements OSearcher, OMapWorkspace {
    private map;
    protected wsMapLayers: Array<OMapLayerComponent>;
    oSearchTitle: string;
    get oSearchableCollection(): Array<OMapLayerComponent>;
    oSearcherCollection: any;
    onToggleWSLayerSelected: EventEmitter<Object>;
    onToggleWSLayerVisibility: EventEmitter<Object>;
    onToggleWSLayerInWS: EventEmitter<Object>;
    constructor(map: OMapBase);
    private parentHasDragHandle;
    search(_oSearchValue: string): Observable<Array<OSearchable>>;
    updateMapLayer(l: OMapLayerComponent): void;
    onListitemDragDrop(event: CdkDragDrop<string[]>): void;
    updateMapLayers(): void;
    getSelectedMapLayer(): OMapLayerComponent;
    getMapLayers(): Array<OMapLayerComponent>;
    onWSLayerSelected(event: any): void;
    onWSLayerVisibilityToggled(event: any): void;
    onWSLayerInWSToggled(event: any): void;
    updateMapLayersPosition(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<OMapWorkspaceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OMapWorkspaceComponent, "o-map-workspace", never, {}, { "onToggleWSLayerSelected": "onToggleWSLayerSelected"; "onToggleWSLayerVisibility": "onToggleWSLayerVisibility"; "onToggleWSLayerInWS": "onToggleWSLayerInWS"; }, never, never, false, never>;
}
