import { Observable } from 'rxjs';
import { OMapWBaseLayer } from './o-map-w-baselayer.class';
import { OSearcher } from '../../interfaces/search/searcher.interface';
import { OSearchable } from '../../interfaces/search/searchable.interface';
export declare class OMapWSearch extends OMapWBaseLayer implements OSearcher {
    oSearchTitle: string;
    oSearchableCollection: any;
    get oSearcherCollection(): Array<OSearcher>;
    protected _searchControl: boolean;
    get searchControl(): boolean;
    set searchControl(val: boolean);
    mapSearchers: Array<OSearcher>;
    search(oSearchValue: string): Observable<Array<OSearchable>>;
}
