import { OSearchable } from '../../interfaces/search/searchable.interface';
import { GeocodingService } from '../../services/GeocodingService';
import { TranslateMapService } from '../../services/TranslateMapService';
import { OMapBase } from '../map/o-map-base.class';
export declare class ONavigatorDefault {
    protected geocoder: GeocodingService;
    protected translateMapService: TranslateMapService;
    protected oMap: OMapBase;
    protected _searchResults: Array<OSearchable>;
    protected cachedAddress: string;
    private searchObserver;
    private locationSearcher;
    private locationResults;
    constructor(geocoder: GeocodingService, translateMapService: TranslateMapService, oMap: OMapBase);
    get address(): string;
    set address(address: string);
    goto(): void;
    search(): boolean;
    closeSearch(): void;
    get searchResults(): Array<OSearchable>;
    set searchResults(val: Array<OSearchable>);
}
