export interface OSearchResultAction {
    icon: Array<string>;
    status: () => boolean;
    callback: () => boolean;
}
export interface OSearchResult {
    label: string;
    sublabel?: string;
    icon?: string;
    buttons: Array<OSearchResultAction>;
}
export interface OSearchable {
    oSearchKeys: Array<string>;
    oSearchResult: OSearchResult;
}
