import * as L from 'leaflet';
import { BaseLayer } from '../interfaces/baselayers/baselayers.interface';
export declare class BaseLayerCollection {
    baseMaps: Object;
    baseMapsOrderedList: Array<string>;
    addLayer(id: string, layer: BaseLayer | L.TileLayer): void;
    getLayer(id: string): BaseLayer | L.TileLayer;
    getTileLayer(id: string): L.TileLayer;
    getBaseLayers(): Array<BaseLayer>;
    getLayersMap(): L.Control.LayersObject;
    getLayersArray(): Array<L.TileLayer>;
    contains(id: string): boolean;
}
