import { Observable } from 'rxjs';
import { OSearchable } from '../interfaces/search/searchable.interface';
import { OSearcher } from '../interfaces/search/searcher.interface';
export declare class SearcherDefault implements OSearcher {
    oSearchTitle: string;
    oSearcherCollection: any[];
    get oSearchableCollection(): Array<OSearchable>;
    private collection;
    constructor(title?: string, collection?: () => Array<OSearchable>);
    search(oSearchValue: string): Observable<Array<OSearchable>>;
    setSearchableCollection(collection: () => Array<OSearchable>): () => Array<OSearchable>;
    private transformSearchTerm;
}
