import { OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { BaseLayer } from '../../interfaces/baselayers/baselayers.interface';
import { OSearchable, OSearchResult } from '../../interfaces/search/searchable.interface';
import { OMapBase } from '../map/o-map-base.class';
import * as i0 from "@angular/core";
export declare class OMapBaseLayerComponent implements OnInit, OnDestroy, BaseLayer, OSearchable {
    protected oMap: OMapBase;
    id: string;
    active: boolean;
    protected _name: string;
    protected _urlTemplate: string;
    protected onMapReadySubscription: Subscription;
    oSearchKeys: Array<string>;
    get oSearchResult(): OSearchResult;
    constructor(oMap: OMapBase);
    ngOnInit(): void;
    ngOnDestroy(): void;
    updateActiveState(layerId: string): void;
    select(): boolean;
    get urlTemplate(): string;
    set urlTemplate(val: string);
    get name(): string;
    set name(val: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<OMapBaseLayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OMapBaseLayerComponent, "o-map-base-layer", never, { "id": "layer-id"; "name": "title"; "urlTemplate": "src"; "active": "active"; }, {}, never, never, false, never>;
}
