import type { OMapLayerComponent } from '../map-layer/o-map-layer.component';
import type { OMapCrsComponent } from './o-map-crs.component';
export interface ICRSConfiguration {
    epsg: string;
    epsg_configuration: string;
    epsg_args?: Object;
}
export interface ICRSConfigurationParameter {
    crs?: string;
    crsConfiguration?: ICRSConfiguration;
}
export declare class OMapCrsConfigurationClass {
    static getCRSFromConfigurationObject(comp: OMapCrsComponent | OMapLayerComponent): any;
    static getCRSObject(arg: OMapCrsComponent | OMapLayerComponent): any;
}
