import * as L from 'leaflet';
import { Observable } from 'rxjs';
import { IMapDrawControlEvent, OMapDrawControlsEvents } from '../map-draw-controls/o-map-draw-controls-events.class';
import { OMapDrawControlsComponent } from '../map-draw-controls/o-map-draw-controls.component';
import { OMapWWorkspace } from './o-map-w-workspace.class';
export declare class OMapWDraw extends OMapWWorkspace {
    drawDefaultControl: boolean;
    drawControlComponent: OMapDrawControlsComponent;
    protected defaultDrawControlEvents: OMapDrawControlsEvents;
    registerDrawControlComponent(drawControlComponent: OMapDrawControlsComponent): void;
    getDrawControlEventsObservable(): Observable<IMapDrawControlEvent>;
    protected configureDefaultDrawControl(map: L.Map): void;
}
