import * as L from 'leaflet';
import { BaseLayer, BaseLayerEvents } from '../interfaces/baselayers/baselayers.interface';
export declare class BaseLayerDefault implements BaseLayer {
    id: string;
    name: string;
    urlTemplate: string;
    options: L.TileLayerOptions;
    active: boolean;
    events: BaseLayerEvents;
    tileLayer: L.TileLayer;
    constructor(baseLayer?: BaseLayer);
    getTileLayer(): L.TileLayer;
    setBaseLayer(baseLayer: BaseLayer): void;
}
