import * as L from 'leaflet';
import { ILayerService } from '../interfaces/ILayerService';
export declare class Util {
    static parseBoolean(value: string, defaultValue?: boolean): boolean;
    static parseArray(value: string): string[];
    static isLayerService(arg: any): arg is ILayerService;
    static isGeoJSONLayer(arg: any): arg is L.GeoJSON;
    static isTileLayer(arg: any): arg is L.TileLayer;
    static isBlank(value: any): boolean;
}
